Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ant.core
Class TargetInfo

    java.lang.Object
      org.eclipse.ant.core.TargetInfo

public class TargetInfo
extends Object

Represents information about a target within an Ant build file.

Since:
  2.1

Method Summary
`boolean` | `equals(Object obj)`
`String[]` | `getDependencies()` Return the names of the targets that this target depends on.
`String` | `getDescription()` Returns the target description or `null` if no description is provided.
`String` | `getName()` Returns the target name.
`ProjectInfo` | `getProject()` Returns the ProjectInfo of the enclosing project.
`int` | `hashCode()`
`boolean` | `isDefault()` Returns whether this is the build file default target.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public String getName()

  Returns the target name.

  Returns:
    the target name

### getDescription

    public String getDescription()

  Returns the target description or `null` if no description is provided.

  Returns:
    the target description or `null` if none

### getProject

    public ProjectInfo getProject()

  Returns the ProjectInfo of the enclosing project.

  Returns:
    the project info for the enclosing project

### getDependencies

    public String[] getDependencies()

  Return the names of the targets that this target depends on.

  Returns:
    the dependent names

### isDefault

    public boolean isDefault()

  Returns whether this is the build file default target.

  Returns:
    whether this is the build file default target

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.